Bug 71216 - Traceback in up2date when run as a normal user
Traceback in up2date when run as a normal user
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.2
athlon Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-10 01:28 EDT by Stephen Rasku
Modified: 2015-01-07 18:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 20:21:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Rasku 2002-08-10 01:28:18 EDT
Description of Problem:

I get the following traceback when running up2date:

Traceback (innermost last):
  File "/usr/sbin/up2date", line 15, in ?
    from up2date_client import up2date
  File "/usr/share/rhn/up2date_client/up2date.py", line 731, in ?
    rpm_version = getRpmVersion()
  File "/usr/share/rhn/up2date_client/up2date.py", line 722, in getRpmVersion
    db = openrpmdb()
  File "/usr/share/rhn/up2date_client/up2date.py", line 713, in openrpmdb
    log.log_me("Opening rpmdb in %s with option %s" % (dbpath,option))
  File "/usr/share/rhn/up2date_client/up2date.py", line 107, in log_me
    self.write_log(s)
  File "/usr/share/rhn/up2date_client/up2date.py", line 116, in write_log
    self.log_file = open(self.log_file_name, 'a')
IOError: [Errno 13] Permission denied: '/var/log/up2date'

Version-Release number of selected component (if applicable):

up2date-2.7.61-7.x.2
up2date-gnome-2.7.61-7.x.2

How Reproducible:

100%

Steps to Reproduce:
1. up2date (as normal user)

Actual Results:

Above traceback.

Expected Results:

up2date GUI should launch and ask for root password.
Comment 1 Adrian Likins 2002-08-12 18:42:50 EDT
The traceback will be fixed in 2.9.40, now you will get a warning
dialog.

also, to get up2date to ask for roots password, it must be
invoked as "/usr/bin/up2date" for a default new user,
"up2date" will find this version (actually, a symlink to
consolehelper, which prompts for the password). If
you have added /usr/sbin to users path, this doesnt work.

Note You need to log in before you can comment on or make changes to this bug.